Loading...
Searching...
No Matches
starpu_mpi_mpi.h File Reference
`#include <starpu.h>`
`#include <stdlib.h>`
`#include <mpi.h>`
`#include <common/config.h>`
`#include <common/list.h>`

Go to the source code of this file.

## Functions

int | _starpu_mpi_progress_init (struct _starpu_mpi_argc_argv *argc_argv)
void | _starpu_mpi_progress_shutdown (void **value)
void | _starpu_mpi_wait_for_initialization ()
int | _starpu_mpi_barrier (MPI_Comm comm)
int | _starpu_mpi_wait_for_all (MPI_Comm comm)
int | _starpu_mpi_wait (starpu_mpi_req *public_req, MPI_Status *status)
int | _starpu_mpi_test (starpu_mpi_req *public_req, int *flag, MPI_Status *status)
void | _starpu_mpi_wake_up_progress_thread ()
void | _starpu_mpi_isend_size_func (struct _starpu_mpi_req *req)
void | _starpu_mpi_irecv_size_func (struct _starpu_mpi_req *req)